Bug 210162 - fence_tool needs -w and -t options to wait for group membership
fence_tool needs -w and -t options to wait for group membership
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Peterson
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2006-10-10 10:56 EDT by Robert Peterson
Modified: 2009-04-16 18:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-28 16:05:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Peterson 2006-10-10 10:56:02 EDT
Description of problem:
In RHEL4, fence_tool had -w (wait) and -t (time to wait) options
for "join".  These options need to be added to fence_tool and
the cman init script.  The -w option should work for both
fence_tool join and fence_tool leave.

Version-Release number of selected component (if applicable):
RHEL5 Beta 1 plus fixes from CVS up to 10 Oct 2006

How reproducible:

Steps to Reproduce:
1. fence_tool -w -t 60 join
Actual results:
[root@camel ~]# /sbin/fence_tool -w join
/sbin/fence_tool: invalid option -- w
Please use '-h' for usage.
[root@camel ~]# /sbin/fence_tool -w leave
/sbin/fence_tool: invalid option -- w
Please use '-h' for usage.

Expected results:
[root@camel ~]# /sbin/fence_tool -w join
[root@camel ~]# /sbin/fence_tool -w leave
[root@camel ~]# 
(no error)

Additional info:
Changes are needed to fence_tool and the cman init script.
Comment 1 RHEL Product and Program Management 2006-10-13 10:17:47 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux release.  Product Management has requested further review
of this request by Red Hat Engineering.  This request is not yet committed for
inclusion in release.
Comment 2 Kiersten (Kerri) Anderson 2006-10-13 10:33:51 EDT
Devel ACK - problem found during cluster smoke testing prior to entering QE.
Comment 4 Nate Straz 2007-12-13 12:22:02 EST
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.

Note You need to log in before you can comment on or make changes to this bug.